%define major		1.4

%define oname		fox
%define name %oname%major
%define version 1.4.35
%define release %mkrel 1

%define libname		%mklibname %{oname} %{major}


Summary:	The FOX C++ GUI Toolkit
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Development/C++
URL:		http://www.fox-toolkit.org
Source: 	http://www.fox-toolkit.org/ftp/%{oname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libmesaglu-devel
BuildRequires:  libcups-devel
BuildRequires:  libbzip2-devel

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libname}
Summary:	The FOX C++ GUI Toolkit - Libraries
Group:		System/Libraries

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libname}-devel
Summary:	FOX header files
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	libfox-devel = %version-%release
Provides:	fox1.4-devel = %version-%release
Provides:	libfox1.4-devel = %version-%release
Conflicts:	fox1.6-devel

%description -n %{libname}-devel
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %oname-%version

%build

%configure2_5x --with-opengl=mesa --enable-cups

make GL_LIBS="-lGL -lGLU"

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc/fox-1.4/* installed-docs
%multiarch_binaries %buildroot%_bindir/fox-config

rm -rf %buildroot%_prefix/fox %buildroot%_bindir/Adie.stx \
       %buildroot%_bindir/PathFinder %buildroot%_bindir/adie \
       %buildroot%_bindir/calculator %buildroot%_bindir/shutterbug \
       %buildroot%_mandir/man1/PathFinder* %buildroot%_mandir/man1/adie* \
       %buildroot%_mandir/man1/calculator* %buildroot%_mandir/man1/shutterbug*

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS LICENSE README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc ADDITIONS INSTALL TRACING
%doc installed-docs
%doc %{_mandir}/man1/reswrap*
%{_bindir}/reswrap
%_bindir/fox-config
%multiarch_bindir/fox-config
%dir %{_includedir}/fox-1.4
%{_includedir}/fox-1.4/*
%{_libdir}/*.so
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.4.35-1mdv2008.1
+ Revision: 136419
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 28 2007 Jérôme Soyer <saispo@mandriva.org> 1.4.35-1mdv2007.0
+ Revision: 114710
- New release 1.4.35
- Import fox1.4

* Sat Jun 24 2006 Götz Waschk <waschk@mandriva.org> 1.4.34-1mdv2007.0
- rebuild for new libpng

* Fri Jun 16 2006 Gtz Waschk <waschk@mandriva.org> 1.4.34-1mdv2007.0
- fix buildrequires
- New release 1.4.34

* Mon Mar 27 2006 Götz Waschk <waschk@mandriva.org> 1.4.31-1mdk
- New release 1.4.31

* Fri Mar 24 2006 Gtz Waschk <waschk@mandriva.org> 1.4.27-2mdk
- readd libfox 1.4 for compatibility

* Fri Dec 16 2005 Gtz Waschk <waschk@mandriva.org> 1.4.27-1mdk
- fix configure call
- New release 1.4.27
- use mkrel

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 1.4.24-1mdk
- New release 1.4.24

* Tue Nov 08 2005 Götz Waschk <waschk@mandriva.org> 1.4.22-1mdk
- New release 1.4.22

* Sun Oct 30 2005 Gtz Waschk <waschk@mandriva.org> 1.4.21-1mdk
- disable parallel build
- New release 1.4.21

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 1.4.20-1mdk
- New release 1.4.20

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 1.4.17-2mdk
- fix typo in summary

* Wed Aug 03 2005 Götz Waschk <waschk@mandriva.org> 1.4.17-1mdk
- New release 1.4.17

* Mon Jun 13 2005 Gtz Waschk <waschk@mandriva.org> 1.4.16-1mdk
- New release 1.4.16

* Wed Jun 08 2005 Gtz Waschk <waschk@mandriva.org> 1.4.15-1mdk
- New release 1.4.15

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 1.4.12-1mdk
- New release 1.4.12

* Thu Apr 07 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.11-1mdk
- New release 1.4.11

* Thu Mar 17 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.8-1mdk
- New release 1.4.8

* Thu Mar 10 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.7-1mdk
- New release 1.4.7

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.6-1mdk
- New release 1.4.6

* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- update file list
- New release 1.4.4

* Wed Oct 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.11-1mdk
- New release 1.2.11

* Sat Aug 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.8-1mdk
- New release 1.2.8

* Wed Jul 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- New release 1.2.7

* Mon Jul 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.6-1mdk
- new version

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- fix devel provides
- New release 1.2.5

* Thu Jun 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- New release 1.2.4

* Wed Jun 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- fix installation
- New release 1.2.3

* Thu May 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- new major
- New release 1.2.1

* Tue May 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- new major 1.1
- New release 1.2.0

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.53-1mdk
- new major
- new version

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.52-1mdk
- new major
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.51-1mdk
- new version

* Mon Mar 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.49-1mdk
- new version

* Fri Mar 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.47-1mdk
- new version

* Mon Feb 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.46-1mdk
- new version

